package com.my.service.impl;

import java.util.List;
import java.util.Map;
import com.my.model.ResponseParams ;
import com.my.service.DorService;
import com.my.model.RequestParams;
import com.my.model.CommonException;
import org.springframework.stereotype.Service;
import net.sf.json.JSONObject;
import com.my.config.dbConfig.JdbcTemplateDao;
import javax.annotation.Resource;

/**
*@author jiushiwon
*寝室管理
*/
@Service("dorService")
public class DorServiceImpl implements DorService{

	@Resource
	private JdbcTemplateDao	jdbcTemplateDao;

	@Override
	public ResponseParams getDor(RequestParams params) {
		if(params.getEphemeralParam()==null){
 			throw new CommonException(-1,"参数不能为空！")
		}
		JSONObject paramJson = JSONObject.fromObject(params.getEphemeralParam());
		ResponseParams  resp =new ResponseParams (); 
	 	try { 
			String countSql0 = " SELECT count(1) FROM student_dors Tya_hNm WHERE  1=1 ";
			Long count0= jdbcTemplateDao.queryForLongCount(countSql0);
			String sql0 = " SELECT dor_desc AS `dorDesc`,dor_area AS `dorArea`,dor_no AS `dorNo`,dor_class AS `dorClass` FROM student_dors Tya_hNm WHERE  1=1  limit "+(params.getPage().getStartPage()-1)*params.getPage().getPageSize()+","+params.getPage().getPageSize()+"";
			List<Map<String, Object>> mapList0=jdbcTemplateDao.queryForList(sql0);
	 	}catch(Exception e){
	 		throw new CommonException(-1,"操作失败！");
	 	}
		return resp; 
	}


}