import { createRouter, createWebHistory } from "vue-router";
import login from "../login.vue";
import systemIndex from "../systemIndex.vue";
import dors from "../components/dors.vue";
import doss from "../components/doss.vue";
import dosss from "../components/dosss.vue";

const router = createRouter({
  routes: [
    { path: "/", component: login },//默认进入login页面
    { path: "/", component: systemIndex },//login之后的页面
     {
      path: "/admin",
      name: "admin",
      component: () => import("../admin.vue"),
      meta: {
        title: "主页",
        requireAuth: true,
      },
      children: [
    {
      	path: "/dors",
      	component: dors,
      	name: "dors",
    	},
    {
      	path: "/doss",
      	component: doss,
      	name: "doss",
    	},
    {
      	path: "/dosss",
      	component: dosss,
      	name: "dosss",
    	},
      ],
    },  ],
  history: createWebHistory(),
});
export default router;
